<p-panel header="Report BBK Retur ke Supplier" [toggleable]="false">
  <div>
    <div style="margin-top: 10px; width: 100%;">
      <div>
        <p-accordion>
          <p-accordionTab header="Filter" [selected]="false">
            <div class="row">

              <div class="ui-g-12">
                <div class="ui-g-12">
                  <div class="ui-g-6">
                    <div>
                      <label>Tanggal Dari</label>
                      <p-calendar [showIcon]="true" [(ngModel)]="dtfrom"></p-calendar>
                    </div>
                  </div>

                  <div class="ui-g-6">
                    <div>
                      <label>Tanggal Sampai</label>
                      <p-calendar [showIcon]="true" [(ngModel)]="dtthru">
                      </p-calendar>
                    </div>
                  </div>
                </div>

                <div class="ui-g-6">
                  <label for="field_KdBarang">Kode Barang</label>
                  <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                    (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs" [minLength]="1"
                    [filter]="true" filterBy="label" field="kdBahan" placeholder="Please Select Or Insert"
                    [dropdown]="true" (onSelect)="selectBarang(true)">
                  </p-autoComplete>
                </div>

                <div class="ui-g-6">
                  <label for="field_barang">Nama Barang</label>
                  <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                    (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs" [minLength]="1"
                    field="nmBahan" placeholder="Please Select Or Insert" [dropdown]="true"
                    (onSelect)="selectBarang(true)"></p-autoComplete>
                </div>
                <!-- <div class="ui-g-4"> -->
                <div class="ui-g-12">
                  <label>Jenis Laporan</label>
                  <div>
                    <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                    </p-dropdown>
                  </div>
                </div>

                <div class="ui-g-12 form-group">
                  <button pButton type="submit" label="Filter" icon="fa-filter"
                    class="ui-button-primary flat-label-button" (click)="filter()">
                  </button>
                  <button pButton label="Reset" icon="fa-refresh" class="ui-button-primary flat-label-button"
                    (click)="clear()">
                  </button>
                </div>
              </div>
            </div>
          </p-accordionTab>
        </p-accordion>
        <p-dataTable [value]="datas" dataKey="nobbk" name="table" #table class="table">
          <p-header>
            <div class="row">
              <div class="col-sm-12">
                <form name="searchForm" class="form-inline">
                  <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                      name="currentSearch" placeholder="Cari Nama Bahan, Kode Bahan, No BBK atau No Pemeriksaan">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                      <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                      <span class="fa fa-trash-o"></span>
                    </button>
                  </div>
                </form>
              </div>
            </div>
          </p-header>
          <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
              {{rowIndex + 1}}
            </ng-template>
          </p-column>
          <p-column header="No Pemeriksaan">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.no_periksa}}
            </ng-template>
          </p-column>
          <p-column header="No BBK">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.no_bbk}}
            </ng-template>
          </p-column>
          <p-column header="Tanggal BBK">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.tgl_bbk | date:'dd-MM-yyyy'}}
            </ng-template>
          </p-column>
          <p-column header="Supplier">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.supp}}
            </ng-template>
          </p-column>
          <p-column header="Kode Bahan">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.kd_bahan}}
            </ng-template>
          </p-column>
          <p-column header="Nama Bahan">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.nmbahan}}
            </ng-template>
          </p-column>
          <p-column header="Satuan">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.satuan}}
            </ng-template>
          </p-column>
          <p-column header="QTY">
            <ng-template let-rowData="rowData" pTemplate="body">
              {{rowData.qty | number:'1.0-2'}}
            </ng-template>
          </p-column>
          <p-column header="Aksi">
            <ng-template let-rowData="rowData" pTemplate="body">
              <button pButton type="button" icon="fa-eye" class="flat-button"
                (click)="lihatDetail(rowData.no_bbk,rowData.kd_bahan)" pTooltip="Lihat detail">
              </button>
            </ng-template>
          </p-column>
        </p-dataTable>
      </div>
    </div>
  </div>
  <div>
  </div>
  <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-dialog header="Detail" [(visible)]="newModalDetail" modal="true" [width]="1500">
  <form name="notesForm" role="form" novalidate #editForm="ngForm">
    <div>
      <p-dataTable [value]="details" [rows]="itemsPerPage" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="no_bbm" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)">
        <p-header>
        </p-header>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
          <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
          </ng-template>
        </p-column>
        <p-column header="No BBM">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_bbm}}
          </ng-template>
        </p-column>
        <p-column header="Tanggal BBM">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
          </ng-template>
        </p-column>
        <p-column header="Supplier">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.supp}}
          </ng-template>
        </p-column>
        <p-column header="No Surat Jalan">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_sj}}
          </ng-template>
        </p-column>
        <p-column header="Tanggal Surat Jalan">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tgl_sj_supplier | date:'dd-MM-yyyy'}}
          </ng-template>
        </p-column>
        <p-column header="Kode Bahan">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.kd_bahan}}
          </ng-template>
        </p-column>
        <p-column header="Nama Bahan">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.nmbahan}}
          </ng-template>
        </p-column>
        <p-column header="Qty">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.qty | number:'1.0-2'}}
          </ng-template>
        </p-column>
        <p-column header="Satuan">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.satuan}}
          </ng-template>
        </p-column>
        <p-column header="Keterangan">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.keterangan}}
          </ng-template>
        </p-column>
      </p-dataTable>
    </div>
  </form>
</p-dialog>
<p-confirmDialog></p-confirmDialog>